| Home | Libraries | People | FAQ | More

## Struct template one

boost::numeric::one

## Synopsis

    // In header: <boost/accumulators/numeric/functional.hpp>

    template<typename T>
    struct one {
      // types
      typedef one type;
      typedef T   value_type;

      // public member functions
      operator T const &() const;

      // public data members
      static T const value;
    };

## Description

### `one` public member functions

1.     operator T const &() const;